[arch-commits] Commit in liferea/trunk (ChangeLog PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jul 1 16:45:11 EDT 2009


    Date: Wednesday, July 1, 2009 @ 16:45:11
  Author: jgc
Revision: 44368

upgpkg: liferea 1.4.28-2
    Rebuild for xulrunner

Modified:
  liferea/trunk/ChangeLog
  liferea/trunk/PKGBUILD

-----------+
 ChangeLog |    4 ++++
 PKGBUILD  |   12 +++++-------
 2 files changed, 9 insertions(+), 7 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-07-01 20:37:13 UTC (rev 44367)
+++ ChangeLog	2009-07-01 20:45:11 UTC (rev 44368)
@@ -1,3 +1,7 @@
+2009-07-01	Jan de Groot  <jgc at archlinux.org>
+  * Rebuild for xulrunner 1.9.1
+	* Remove networkmanager dependencies
+
 2009-04-13  Eric Belanger  <eric at archlinux.org>
 
 	* liferea 1.4.28-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-01 20:37:13 UTC (rev 44367)
+++ PKGBUILD	2009-07-01 20:45:11 UTC (rev 44368)
@@ -4,25 +4,23 @@
 
 pkgname=liferea
 pkgver=1.4.28
-pkgrel=1
+pkgrel=2
 pkgdesc="A GTK desktop news aggregator for online news feeds and weblogs"
 arch=('i686' 'x86_64')
 url="http://liferea.sourceforge.net/"
 license=('GPL')
-depends=('gconf>=2.22.0' 'xulrunner>=1.9' 'libnotify>=0.4.4' 'libnetworkmanager' 'libxslt>=1.1.20' \
-         'libglade>=2.6.2' 'sqlite3' 'gnutls>=2.4.1')
-makedepends=('perlxml' 'pkgconfig' 'diffutils' 'intltool')
+depends=('gconf>=2.26.0' 'xulrunner>=1.9.1' 'libnotify>=0.4.5' 'libxslt>=1.1.24' 'libglade>=2.6.4' 'sqlite3>=3.6.15' 'gnutls>=2.8.1')
+makedepends=('pkgconfig' 'diffutils' 'intltool')
 options=('!libtool' '!emptydirs')
 install=liferea.install
 source=(http://downloads.sourceforge.net/sourceforge/liferea/liferea-${pkgver}.tar.gz)
 md5sums=('411bd9e56a648056cdce96dbea104c3e')
-sha1sums=('5c40c9a20eb94d5e0bc5e9b41af51389bc364daf')
 
 build() {
   cd ${srcdir}/liferea-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --with-gecko=libxul --disable-gtkhtml2 \
-	      --disable-webkit || return 1
+      --with-gecko=libxul --disable-gtkhtml2 \
+      --disable-webkit || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${pkgdir} install || return 1
   



More information about the arch-commits mailing list